Description

Hi,

In a project, when having testers/reporters that are newcomers in the job, they could hesitate between different trackers

before opening their request. It would be a good thing that trackers could own a description field. This description

should appear in an info bubble when the mouse is flying over the tracker name, i.e. in the Overview of a project and/or

in the top of the issue page (pages generated by URL: projects/list_issues/#?set_filter=#&tracker_id=#).

I'll be glad to precise my thoughts if needed.

Tom.

Related issues:

Related to Redmine - Feature #2568: Description for issue statuses Closed

Related to Redmine - Feature #366: Custom field for issue status Closed

Related to Redmine - Feature #5026: Description field for Status/Role/Tracker... New 2010-03-10

Related to Redmine - Feature #2389: Standard and custom issue fields should h... New 2008-12-23

Related to Redmine - Feature #6964: Description field for role New 2010-11-23

Related to Redmine - Feature #15787: Descriptions for issue categories New

Related to Redmine - Feature #20558: Add 'Description' field for groups New

Related to Redmine - Defect #31239: Translation missing: text_select_apply_tr... Closed

Has duplicate Redmine - Feature #9256: Trackers have a description in additio... Closed 2011-09-15

Has duplicate Redmine - Feature #15018: Description or help for trackers Closed

Has duplicate Redmine - Feature #5201: Description field for Tracker setting Closed 2010-03-10

Associated revisions

Revision 17970 - 2019-03-15 11:38 - Jean-Philippe Lang

Add a description for trackers (#442).

Patch by Marius BALTEANU.

Revision 17971 - 2019-03-15 11:44 - Jean-Philippe Lang

Adds label_trackers_description and label_open_trackers_description i18n strings (#442).

Revision 18016 - 2019-03-30 07:23 - Jean-Philippe Lang

Let user select a tracker from the modal (#442).

Patch by Marius BALTEANU.

Revision 18093 - 2019-04-29 03:24 - Go MAEDA

Add text_select_apply_tracker to locales (#442, #31239).

Patch by Marius BALTEANU.

History

#1 - 2007-11-22 09:56 - Cyril Mougel
I agree for this Features.

+1

#2 - 2009-06-06 21:06 - Jens Goldhammer

+1

#3 - 2009-06-07 21:13 - Eric Davis

- Category set to Issues

This would also be good when reporting new issues.

"You have chosen Bug.  A bug is a flaw in the existing application that causes an undesired behavior....."

#4 - 2009-06-07 21:29 - Nicola Izzo

(snip)

#5 - 2013-03-22 16:29 - Dipan Mehta

Link with #2568

#6 - 2013-10-13 20:25 - Jean-Philippe Lang

- Has duplicate Feature #9256: Trackers have a description in addition to a name added

#7 - 2013-10-13 20:26 - Jean-Philippe Lang

- Related to Feature #5201: Description field for Tracker setting added

#8 - 2013-10-13 20:26 - Jean-Philippe Lang

- Related to Feature #5026: Description field for Status/Role/Tracker setting. added

#9 - 2013-10-13 20:27 - Jean-Philippe Lang

- Has duplicate Feature #15018: Description or help for trackers added

#10 - 2013-10-14 02:55 - Mischa The Evil

- Target version set to Candidate for next major release

Target version roll-up from closed duplicate #9256.

#11 - 2014-04-02 11:48 - Ivan Cenov

+1

This would be useful.

#12 - 2014-04-16 08:52 - Enmos Proje

+1

#13 - 2014-11-19 12:10 - Sebastian Paluch

+1

#14 - 2015-06-16 14:57 - Robert Schneider

+1

Shouldn't that be easy to implement?

#15 - 2015-06-17 07:39 - Ivan Cenov

Where trackers descriptions to be shown? Possible places are:

New issue form, next to the dropbox of the trackers - show the description of the currently selected tracker

Project settings page, Information tab - on mouse hovering on the tracker names, or small icon next to each tracker name - clicking on it show

baloon with tracker's description.

#16 - 2015-06-17 08:38 - Robert Schneider
Ivan Cenov wrote:

Where trackers descriptions to be shown? Possible places are:

New issue form, next to the dropbox of the trackers - show the description of the currently selected tracker

Project settings page, Information tab - on mouse hovering on the tracker names, or small icon next to each tracker name - clicking on it

show baloon with tracker's description.

 That shouldn't be so hard, I guess.

#17 - 2017-04-03 14:56 - Stephane Evr

+1

#18 - 2017-04-04 11:43 - Ivan Cenov

+1

#19 - 2017-05-05 14:00 - Akiko Takano

Hi, I’ve updated related patch to this request, it's attached to #5201.

In this patch, I tried to implement the feature based on Ivan’s comment.

1. Display modal (popup) window to show tracker’s description at new/edit issue screen.

Set the link the dropbox of the trackers. Clicking the link and modal window is shown to display selectable trackers and their descriptions.

Also user can change the tracker he/she hope to use at modal window.

2. Show tracker’s description like tooltip when mouse overed on the tracker name, (at  Tracker index page, Project overview page, and Project setting

page).

I wonder this meets your request, but I hope mine would be any help.

Ivan Cenov wrote:

Where trackers descriptions to be shown? Possible places are:

New issue form, next to the dropbox of the trackers - show the description of the currently selected tracker

Project settings page, Information tab - on mouse hovering on the tracker names, or small icon next to each tracker name - clicking on it

show baloon with tracker's description.

#20 - 2017-05-21 22:24 - Marius BĂLTEANU

- File 01_add_description_to_trackers.patch added

- File 02_select_and_apply_tracker.patch added

- File trackers_index.png added

- File tracker_title.png added

- File trackers_description_modal.png added

Akiko Takano, thanks for adding a patch to #5201. I find the patch and the functionality very useful and I was looking for a feature like this for some

time. I took the liberty to rewrite it a little bit in order to be more consistent with the other implementations from Redmine.

Please find attached two patches:

1. 01_add_description_to_trackers.patch

it shows the description for trackers as a new column in trackers#index (trackers_index.png)

it uses the title attribute and the existing "field-description" class to show the description in Project overview page, Project setting page and Issue

new/edit form (a similar implementation already exists for custom fields) (tracker_title.png)

dt and dd tags to list the trackers description in the modal (trackers_description_modal.png)

2. 02_select_and_apply_tracker.patch

moves the "apply" action to the tracker name, instead of the icon.

closes the modal after tracker selection

less javascript

I chose to make a new patch for this feature because it is a separate functionality.

Any feedback is appreciated.
#21 - 2017-05-22 06:15 - Akiko Takano

Marius, thanks for pointing out to my patch, #5201.

it shows the description for trackers as a new column in trackers#index

 I think this is better from the accessibility point of view,  than description is displayed only when mouse over event fired :)

it uses the title attribute and the existing "field-description" class to show the description in Project overview page, Project setting page and Issue

new/edit form (a similar implementation already exists for custom fields)

 Personally, I think this is so useful for user who has project admin role, especially,  in case he/she is not Redmine admin. Thanks.

Looking forward to be implemented!

#22 - 2017-06-01 23:32 - Mischa The Evil

This seems to be a nice addition in line with r12397 and r14154.

One drawback could be that the integration of these patches, along with the already integrated r12397 and r14154, could make a consistent

introduction of other descriptions (like requested in eg. #2389, #2568, #4768, #5026, #6964, #15787 and #20558) harder to achieve.

#23 - 2017-06-29 06:30 - Toshi MARUYAMA

- Related to Feature #2389: Standard and custom issue fields should have a description/tooltip added

#24 - 2017-06-29 06:31 - Toshi MARUYAMA

- Related to Feature #6964: Description field for role added

#25 - 2017-06-29 06:31 - Toshi MARUYAMA

- Related to Feature #15787: Descriptions for issue categories added

#26 - 2017-06-29 06:31 - Toshi MARUYAMA

- Related to Feature #20558: Add 'Description' field for groups added

#27 - 2018-01-28 21:43 - Marius BĂLTEANU

- File 01-add-description-to-trackers_r1785.patch added

- File 02-select-and-apply-tracker_r1785.patch added

Updated the patches to cleanly apply on the current trunk (r1785).

Mischa, agree with you, but this should not block us implement what can be done. I'm favour to take one by one (for ex: I've in plan to continue with

description for statuses after this patch is added to the core).

Coming back to this ticket, I would like to propose this feature for the next major version from the following reasons:

- is an old request

- it has at least 4 duplicated issues

- is part of Redmine.org incomplete tickets vote count list(over 5 cas...

- it makes the onboarding process for the new users or public projects easier because they can find what means each tracker directly in the new issue

form.

#28 - 2018-01-28 21:45 - Marius BĂLTEANU

- Related to deleted (Feature #5201: Description field for Tracker setting)

#29 - 2018-01-28 21:46 - Marius BĂLTEANU

- Has duplicate Feature #5201: Description field for Tracker setting added

#30 - 2018-10-25 02:59 - Mizuki ISHIKAWA

+1

The patch written by Marius ( #442#note-27 ) also work in my current environment ( r17600 ).

In order to display explanations for fields other than tracker, I think that it is better to consider a more versatile method.

However, this patch specialized for tracker is definitely beneficial for many people.

I hope this function will be implemented as soon as possible.
#31 - 2018-10-27 19:37 - Yuuki NARA

+1

#32 - 2019-01-01 05:23 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#33 - 2019-03-15 11:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature committed, thank you Marius for your patches.

#34 - 2019-03-20 21:42 - Marius BĂLTEANU

- Status changed from Closed to Reopened

Jean-Philippe, you didn't commit patch 02-select-and-apply-tracker_r1785.patch from mistake or you don't find the functionality useful?

#35 - 2019-03-30 07:24 - Jean-Philippe Lang

- Status changed from Reopened to Closed

It's committed, thanks for pointing this out.

#36 - 2019-04-22 11:25 - Go MAEDA

- Related to Defect #31239: Translation missing: text_select_apply_tracker added

Files

01_add_description_to_trackers.patch 12.4 KB 2017-05-21 Marius BĂLTEANU

02_select_and_apply_tracker.patch 3.05 KB 2017-05-21 Marius BĂLTEANU

trackers_index.png 137 KB 2017-05-21 Marius BĂLTEANU

tracker_title.png 189 KB 2017-05-21 Marius BĂLTEANU

trackers_description_modal.png 130 KB 2017-05-21 Marius BĂLTEANU

02-select-and-apply-tracker_r1785.patch 1.76 KB 2018-01-28 Marius BĂLTEANU

01-add-description-to-trackers_r1785.patch 12.5 KB 2018-01-28 Marius BĂLTEANU
